%define name kding
%define version 0.6 
%define release %mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Url:	        http://www.kde.org
Group:		Graphical desktop/KDE4
Source0:	%{name}-%{version}.tar.xz
Summary:	%{name}-a dictionary lookup program.
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	 cmake
BuildRequires:	 kde4-macros
BuildRequires:	 kdelibs4-devel
BuildRequires:	 %{_lib}qt4-devel
BuildRequires:	 kdelibs4-devel
Obsoletes:	%{name} < %version

%description
KDing is a KDE port of Ding (http://www-user.tu-chemnitz.de/~fri/ding/), 
a dictionary lookup program. It is a simple program sitting in KDE's
system tray that can translate the current clipboard content. The user
can also enter a single word or a phrase for translation.
KDing is intended to translate between German and English, but it can
be used for every language for which a word list is available for Ding.

%description -l fr
KDing est un portage de KDE Ding (http://www-user.tu-chemnitz.de/ ~ / ven Ding /),
un programme de recherche dans le dictionnaire. C'est un programme simple assis dans KDE
plateau de système qui peuvent traduire le contenu du presse-papier. L'utilisateur
pouvez également saisir un seul mot ou une phrase pour la traduction.
KDing est destiné à traduire entre l'allemand et l'anglais, mais il peut
être utilisé pour toutes les langues pour lesquelles une liste de mots est disponible pour Ding.

%description -l de
KDing ist ein KDE-Hafen von Ding (http://www-user.tu-chemnitz.de/ ~ fri / ding /),
ein Wörterbuch suchen Programm. Es ist ein einfaches Programm sitzt in KDE
System-Tray, dass der derzeitige Inhalt der Zwischenablage übersetzen kann. Der Benutzer
kann auch ein einzelnes Wort oder einen Satz für die Übersetzung.
KDing soll zwischen Deutsch und Englisch zu übersetzen, aber es kann
für jede Sprache ein Wort für die Liste ist für Ding zur Verfügung verwendet werden.

%description -l es
KDing es un puerto de KDE de Ding (http://www-user.tu-chemnitz.de/ ~ / vie Ding /),
de un programa de búsqueda de diccionario. Es un sencillo programa en la sesión de KDE
bandeja del sistema que se puede traducir el contenido actual del portapapeles. El usuario
También puede escribir una sola palabra o una frase para la traducción.
KDing se destina a traducir entre Alemán e Inglés, pero puede
ser utilizado para todos los idiomas para los que una lista de palabras está disponible para Ding.

%description -l pl
KDing jest KDE portu Ding (http://www-user.tu-chemnitz.de/ ~ fri / ding /),
Słownik program wyszukiwania. Jest to prosty program posiedzenia w KDE
zasobniku systemowym, które można przetłumaczyć bieżącą zawartość schowka. Użytkownik
Można także wprowadzić jedno słowo lub wyrażenie do przetłumaczenia.
KDing ma przełożenie między niemieckim i angielskim, ale może
być stosowany dla każdego języka, dla których lista jest dostępna na słowo Ding.

%description -l nl
KDing is een KDE-poort van Ding (http://www-user.tu-chemnitz.de/ ~ Vrij / ding /),
een woordenboek opzoeken programma. Het is een eenvoudig programma zit in KDE's
system tray dat kan vertalen de huidige inhoud van het klembord. De gebruiker
kunt ook een enkel woord of een zin voor de vertaling.
KDing is bedoeld om te vertalen tussen Duits en Engels, maar het kan
worden gebruikt voor elke taal een woord voor die lijst is beschikbaar voor Ding.


%prep
%setup -q

%build
%cmake_kde4 
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build
%find_lang %{name}

#MENU
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop


%clean
rm -rf %buildroot

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root)
/*


%changelog
* Sat Oct 08 2011 Archie <pclinuxos.ph at gmail.com> 0.6-5pclos2011
- Rebuild for x86_64
